#include <cvzone.h>
#include "pitches.h"

const int buzzer = A1; 
SerialData serialData(1,1); //(numOfValsRec,digitsPerValRec)

int valsRec[1];

// Define the melody for winning the game
int winMelody[] = {
  NOTE_E5, NOTE_B4, NOTE_C5, NOTE_D5, NOTE_C5, NOTE_B4, NOTE_A4,
  NOTE_A4, NOTE_C5, NOTE_E5, NOTE_D5, NOTE_C5, NOTE_B4,
  NOTE_C5, NOTE_A4, NOTE_G4
};
int winNoteDurations[] = {
  8, 8, 8, 4, 4, 4, 4,
  4, 8, 8, 8, 4, 4,
  4, 4, 4
};
int winMelodyLength = sizeof(winMelody) / sizeof(winMelody[0]); // Calculate the length of the melody

void setup(){
  serialData.begin(); 
  pinMode(buzzer, OUTPUT); // Set buzzer - pin A1 as an output
}

void loop(){
  serialData.Get(valsRec);

  if (valsRec[0] == 1) {
    playMelody(); // Play the winning melody
    delay(1000);     // Delay for 1 second before playing again (optional)
  }
  else if(valsRec[0] == 2){
  tone(buzzer, 3000); 
  delay(3000);       
  noTone(buzzer);     
  delay(1000);       
  
  }

}

// Function to play the winning melody
void playMelody() {
  for (int thisNote = 0; thisNote < winMelodyLength; thisNote++) {
    // Calculate the duration of the note
    int duration = 1000 / winNoteDurations[thisNote];
    
    // Play the note
    tone(buzzer, winMelody[thisNote], duration);
    
    // Delay between notes
    int pause = duration * 1.30;
    delay(pause);
    
    // Stop playing the note
    noTone(buzzer);
  }
}